botruntime
API ReferenceTables API

Execute Atomic Table Operations

Executes an ordered, idempotent batch of table operations in one READ COMMITTED PostgreSQL transaction.

POST
/v1/tables/atomic

Header Parameters

Idempotency-Key*string
Match^[!-~]+$
Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/tables/atomic" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "operations": [      {        "table": "string",        "op": "reserveKey",        "row": {}      }    ]  }'
{  "results": [    {      "operationIndex": 0,      "id": "string",      "op": "reserveKey",      "row": {},      "rows": [        {}      ],      "created": true,      "inserted": [        {}      ],      "updated": [        {}      ],      "deletedRows": 0    }  ]}
Empty
Empty
Empty
Empty